package com.example.demo;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlType;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.xml.namespace.QName;

@RestController
@SpringBootApplication
public class DemoApplication {

  public static void main(String[] args) {
    SpringApplication.run(DemoApplication.class, args);
  }

  @GetMapping(produces = MediaType.APPLICATION_XML_VALUE)
  public JAXBElement<Pojo> get() {
    var pojo = new Pojo();
    pojo.setFoo("foo");
    pojo.setBar("bar");

    return new JAXBElement<>(new QName("any"), Pojo.class, pojo);
  }

  @XmlType(name = "pojo")
  static class Pojo {
    private String foo;
    private String bar;

    public String getFoo() {
      return foo;
    }

    public void setFoo(String foo) {
      this.foo = foo;
    }

    public String getBar() {
      return bar;
    }

    public void setBar(String bar) {
      this.bar = bar;
    }
  }
}
