package com.example.demo;

import jakarta.xml.bind.JAXBContext;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.JAXBException;
import jakarta.xml.bind.Marshaller;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.reactive.WebFluxTest;
import org.springframework.http.MediaType;
import org.springframework.test.web.reactive.server.WebTestClient;

import javax.xml.namespace.QName;
import java.io.StringWriter;

@WebFluxTest(controllers = DemoApplication.class)
class DemoApplicationTests {

  @Autowired
  private WebTestClient client;

  @Test
  void shouldEncodeJaxbElement() {
    //when
    var response = client.get()
        .accept(MediaType.APPLICATION_XML)
        .exchange();

    //then
    response
        .expectStatus().isOk()
        .expectHeader().contentType(MediaType.APPLICATION_XML);
  }
}
